> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Create ATS Candidate

POST https://api.letsdeel.com/rest/ats/candidates
Content-Type: application/json

Creates a candidate record without creating a job application. Use it to add a person to the ATS before applying them to a job with `POST /rest/ats/applications`; to change an existing candidate use `PATCH /rest/ats/candidates/{candidate_id}`, and to add a CV to one use `POST /rest/ats/candidates/{candidate_id}/attachments`.

**Token scopes**: `ats:write`, `worker:write`

Reference: https://developer.deel.com/api/reference/endpoints/ats-candidates/create-ats-candidate-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (application/json)

This endpoint expects an object.

- `data` (AtsCandidatesPostRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 201

Successful response with candidate data

- `data` (AtsCandidatesPostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of AtsCandidatesPostResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Forbidden. ATS is not enabled for this organization or insufficient permissions.

- `errors` (list of AtsCandidatesPostResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of AtsCandidatesPostResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

## Types

### AtsCandidatesPostRequestBodyContentApplicationJsonSchemaData

- `email` (string, required) — The candidate's email address
- `last_name` (string, required) — The candidate's last name
- `first_name` (string, required) — The candidate's first name
- `city` (string, optional, nullable) — City the candidate currently lives in
- `pic_url` (string, optional, nullable) — The candidate's picture URL
- `country_code` (string, optional, nullable) — ISO 3166-1 alpha-2 code of the country the candidate currently lives in
- `phone_number` (string, optional, nullable) — The candidate's phone number
- `origin_source_slug` (string, optional) — The candidate's origin source slug. Accepts any active source slug of the organization, e.g. sourced_internally, sourced_externally, external_career_page, linkedin_basic or a custom source slug (case-insensitive)
- `linkedin_profile_url` (string, optional, nullable) — The candidate's LinkedIn profile URL

### AtsCandidatesPostResponsesContentApplicationJsonSchemaData

- `id` (string, required) — Unique identifier for the candidate
- `email` (string, required) — Email address of the candidate
- `last_name` (string, required) — Last name of the candidate
- `created_at` (string, required) — Timestamp when the candidate was created
- `first_name` (string, required) — First name of the candidate
- `numeric_id` (integer, required) — Numeric identifier for the candidate
- `updated_at` (string, required) — Timestamp when the candidate was last updated
- `city` (string, optional, nullable) — City the candidate currently lives in
- `source` (string, optional, nullable) — Source of the candidate
- `pic_url` (string, optional, nullable) — Profile picture URL of the candidate
- `imported_id` (string, optional, nullable) — Imported identifier
- `country_code` (string, optional, nullable) — ISO 3166-1 alpha-2 country the candidate currently lives in
- `phone_number` (string, optional, nullable) — Phone number of the candidate
- `anonymized_at` (string, optional, nullable) — Timestamp when the candidate was anonymized
- `import_session_id` (string, optional, nullable) — Import session identifier
- `origin_source_slug` (string, optional, nullable) — Origin source slug of the candidate (e.g. sourced_internally, external_career_page or a custom source slug)
- `final_archivation_at` (string, optional, nullable) — Timestamp when the candidate was finally archived
- `linkedin_profile_url` (string, optional, nullable) — LinkedIn profile URL of the candidate

### AtsCandidatesPostResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required) — Machine-readable error code
- `message` (string, required) — Human-readable error message
- `field` (string, optional) — Request field related to the error, if applicable

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Request**

```json
{
  "data": {
    "email": "john.doe@example.com",
    "last_name": "Doe",
    "first_name": "John"
  }
}
```

**Response**

```json
{
  "data": {
    "id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
    "email": "john.doe@example.com",
    "last_name": "Doe",
    "created_at": "2024-01-01T00:00:00Z",
    "first_name": "John",
    "numeric_id": 123,
    "updated_at": "2024-01-01T00:00:00Z",
    "city": "Berlin",
    "source": "LINKEDIN",
    "pic_url": "https://example.com/pic.jpg",
    "imported_id": "ext-123",
    "country_code": "DE",
    "phone_number": "+1234567890",
    "anonymized_at": "2024-01-01T00:00:00Z",
    "import_session_id": "session-123",
    "origin_source_slug": "sourced_internally",
    "final_archivation_at": "2024-01-01T00:00:00Z",
    "linkedin_profile_url": "https://linkedin.com/in/johndoe"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/ats/candidates"

payload = { "data": {
        "email": "john.doe@example.com",
        "last_name": "Doe",
        "first_name": "John"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/ats/candidates';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"email":"john.doe@example.com","last_name":"Doe","first_name":"John"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/ats/candidates"

	payload := strings.NewReader("{\n  \"data\": {\n    \"email\": \"john.doe@example.com\",\n    \"last_name\": \"Doe\",\n    \"first_name\": \"John\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/ats/candidates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"email\": \"john.doe@example.com\",\n    \"last_name\": \"Doe\",\n    \"first_name\": \"John\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/ats/candidates")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"email\": \"john.doe@example.com\",\n    \"last_name\": \"Doe\",\n    \"first_name\": \"John\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/ats/candidates', [
  'body' => '{
  "data": {
    "email": "john.doe@example.com",
    "last_name": "Doe",
    "first_name": "John"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/ats/candidates");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"email\": \"john.doe@example.com\",\n    \"last_name\": \"Doe\",\n    \"first_name\": \"John\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "email": "john.doe@example.com",
    "last_name": "Doe",
    "first_name": "John"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/ats/candidates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```